<!DOCTYPE HTML>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<meta charset="utf-8">
<head th:include="include :: header"></head>
<link th:href="@{/ajax/libs/jquery-layout/jquery.layout-latest.css}" rel="stylesheet"/>
<link th:href="@{/ajax/libs/jquery-ztree/3.5/css/metro/zTreeStyle.css}" rel="stylesheet"/>
<body class="gray-bg">

     <div class="container-div">
		<div class="row">
			<div class="col-sm-12 search-collapse">
				<form id="formId">
					<div class="select-list">
						<ul>
							<li>
								专业：<select id="majorId" name="majorId" type="text" style="padding: 0px">
									<option value="">全部</option>
									<option th:each="obj,eStat:${major}" th:value="${obj.majorId}"
											th:text="${obj.majorName}"></option>
								</select>
							</li>

							<li>
								班级：<input type="text" name="className"/>
							</li>

							<li>
								考核月份范围选择：<input type="text" name="assessMonth" id="assessMonth"/>
							</li>

							<li style="width: 100%;text-align: center">
								<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
								<a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
							</li>
						</ul>
					</div>
				</form>
			</div>
			
	        <div class="btn-group-sm hidden-xs" id="toolbar" role="group">
				<a class="btn btn-success" onclick="$.operate.addFull()" shiro:hasPermission="teach:teachAssessMonth:add">
					<i class="fa fa-plus"></i> 添加
				</a>
				<a class="btn btn-primary btn-edit disabled" onclick="$.operate.editFull()" shiro:hasPermission="teach:teachAssessMonth:edit">
					<i class="fa fa-edit"></i> 修改
				</a>
				<a class="btn btn-danger btn-del btn-del disabled" onclick="$.operate.removeAll()" shiro:hasPermission="teach:teachAssessMonth:remove">
					<i class="fa fa-remove"></i> 删除
				</a>
				<!--<a class="btn btn-warning" onclick="$.table.exportExcel()" shiro:hasPermission="teach:teachAssessMonth:export">
						<i class="fa fa-download"></i> 导出
				 </a>-->
			</div>
			<div class="col-sm-12 select-table table-striped">
				<table id="bootstrap-table" data-mobile-responsive="true"></table>
			</div>
		</div>
	</div>
    <div th:include="include :: footer"></div>
	<script th:src="@{/ajax/libs/jquery-layout/jquery.layout-latest.js}"></script>
	<script th:src="@{/ajax/libs/jquery-ztree/3.5/js/jquery.ztree.all-3.5.js}"></script>
    <script th:inline="javascript">
        var editFlag = [[${@permission.hasPermi('teach:teachAssessMonth:edit')}]];
        var removeFlag = [[${@permission.hasPermi('teach:teachAssessMonth:remove')}]];
        var prefix = ctx + "teach/teachAssessMonth";

        $(function() {
            /*var panehHidden = false;
            if ($(this).width() < 769) {
                panehHidden = true;
            }
            $('body').layout({ initClosed: panehHidden, west__size: 185 });*/
            queryteachAssessMonthList();
            queryDeptTree();
        });

        function queryteachAssessMonthList() {
            var options = {
                url: prefix + "/list",
                createUrl: prefix + "/add",
                updateUrl: prefix + "/edit/{id}",
                removeUrl: prefix + "/remove",
                exportUrl: prefix + "/export",
                modalName: "月度考核标准",
                search: false,
                showExport: true,
                columns: [{
                    checkbox: true
                },
                    {
                        field : 'id',
                        title : '月度考核标准ID',
                        visible: false
                    },
                    {
                        field : 'assessMonth',
                        title : '考核月份',
                        sortable: false
                    },
                    {
                        field : 'sysDept.deptName',
                        title : '校区',
                        sortable: true
                    },
                    {
                        field : 'majors.majorName',
                        title : '专业',
                        sortable: false
                    },
                    {
                        field : 'classes.className',
                        title : '班级',
                        sortable: false
                    },
                    {
                        field : 'attendanceOne',
                        title : '考勤（%）',
                        sortable: false,
                        formatter: function (value, row, index) {
                            if(value != null){
                                return value.replace(" ","</br>");
							}
                        }
                    },
                    {
                        field : 'examOne',
                        title : '考试（%）',
                        sortable: false,
                        formatter: function (value, row, index) {
                            if(value != null){
                                return value.replace(" ","</br>");
                            }
                        }
                    },
                    {
                        field : 'taskOne',
                        title : '作业（%）',
                        sortable: false,
                        formatter: function (value, row, index) {
                            if(value != null){
                                return value.replace(" ","</br>");
                            }
                        }
                    },
                    {
                        field : 'subjectOne',
                        title : '项目（%）',
                        sortable: false,
                        formatter: function (value, row, index) {
                            if(value != null){
                                return value.replace(" ","</br>");
                            }
                        }
                    },
                    {
                        title: '操作',
                        align: 'center',
                        formatter: function(value, row, index) {
                            var actions = [];
                            actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="#" onclick="$.operate.editFull(\'' + row.id + '\')"><i class="fa fa-edit"></i>编辑</a> ');
                            actions.push('<a class="btn btn-danger btn-xs ' + removeFlag + '" href="#" onclick="$.operate.remove(\'' + row.id + '\')"><i class="fa fa-remove"></i>删除</a>');
                            return actions.join('');
                        }
                    }]
            };
            $.table.init(options);
		}

        function queryDeptTree()
        {
            var url = ctx + "system/dept/treeData";
            var options = {
                url: url,
                expandLevel: 2,
                onClick : zOnClick
            };
            $.tree.init(options);

            function zOnClick(event, treeId, treeNode) {
                $("#schoolId").val(treeNode.id);
                $("#parentId").val(treeNode.pId);
                $.ajax({
                    type:"POST",
                    url:prefix + '/listById',
                    data:{schoolId:treeNode.id},
                    success : function(data) {
                        // alert("成功");
                        // console.log(data);
                        $("#bootstrap-table").bootstrapTable('load', data);
                    }
                })
            }
        }

        $('#btnExpand').click(function() {
            $._tree.expandAll(true);
            $(this).hide();
            $('#btnCollapse').show();
        });

        $('#btnCollapse').click(function() {
            $._tree.expandAll(false);
            $(this).hide();
            $('#btnExpand').show();
        });

        $('#btnRefresh').click(function() {
            queryDeptTree();
        });

        /* 学生管理-部门 */
        function dept() {
            var url = ctx + "system/dept";
            createMenuItem(url, "校区");
        }

        //年月选择器
        laydate.render({
            elem: '#assessMonth'
            ,type: 'month'
            ,range: '~',trigger: 'click'
        });
    </script>
</body>
</html>